org.apache.xmlbeans.impl.xb.ltgfmt.impl

## Class FileDescImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.ltgfmt.impl.FileDescImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, FileDesc, SimpleValue, XmlObject, XmlTokenSource

    public class FileDescImpl
    extends XmlComplexContentImpl
    implements FileDesc

An XML file-desc(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FileDescImpl.RoleImpl` An XML role(@).

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.ltgfmt.FileDesc

`FileDesc.Role`

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.ltgfmt.FileDesc

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`FileDescImpl(SchemaType sType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Code` `addNewCode()` Appends and returns a new empty "code" element
`Code` `getCode()` Gets the "code" element
`String` `getFileName()` Gets the "fileName" attribute
`String` `getFolder()` Gets the "folder" attribute
`FileDesc.Role.Enum` `getRole()` Gets the "role" attribute
`String` `getTsDir()` Gets the "tsDir" attribute
`boolean` `getValidity()` Gets the "validity" attribute
`boolean` `isSetCode()` True if has "code" element
`boolean` `isSetFileName()` True if has "fileName" attribute
`boolean` `isSetFolder()` True if has "folder" attribute
`boolean` `isSetRole()` True if has "role" attribute
`boolean` `isSetTsDir()` True if has "tsDir" attribute
`boolean` `isSetValidity()` True if has "validity" attribute
`void` `setCode(Code code)` Sets the "code" element
`void` `setFileName(String fileName)` Sets the "fileName" attribute
`void` `setFolder(String folder)` Sets the "folder" attribute
`void` `setRole(FileDesc.Role.Enum role)` Sets the "role" attribute
`void` `setTsDir(String tsDir)` Sets the "tsDir" attribute
`void` `setValidity(boolean validity)` Sets the "validity" attribute
`void` `unsetCode()` Unsets the "code" element
`void` `unsetFileName()` Unsets the "fileName" attribute
`void` `unsetFolder()` Unsets the "folder" attribute
`void` `unsetRole()` Unsets the "role" attribute
`void` `unsetTsDir()` Unsets the "tsDir" attribute
`void` `unsetValidity()` Unsets the "validity" attribute
`XmlToken` `xgetFileName()` Gets (as xml) the "fileName" attribute
`XmlToken` `xgetFolder()` Gets (as xml) the "folder" attribute
`FileDesc.Role` `xgetRole()` Gets (as xml) the "role" attribute
`XmlToken` `xgetTsDir()` Gets (as xml) the "tsDir" attribute
`XmlBoolean` `xgetValidity()` Gets (as xml) the "validity" attribute
`void` `xsetFileName(XmlToken fileName)` Sets (as xml) the "fileName" attribute
`void` `xsetFolder(XmlToken folder)` Sets (as xml) the "folder" attribute
`void` `xsetRole(FileDesc.Role role)` Sets (as xml) the "role" attribute
`void` `xsetTsDir(XmlToken tsDir)` Sets (as xml) the "tsDir" attribute
`void` `xsetValidity(XmlBoolean validity)` Sets (as xml) the "validity" attribute

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### FileDescImpl

    public FileDescImpl(SchemaType sType)

### Method Detail

#### getCode

    public Code getCode()

Gets the "code" element

Specified by:
  `getCode` in interface `FileDesc`

#### isSetCode

    public boolean isSetCode()

True if has "code" element

Specified by:
  `isSetCode` in interface `FileDesc`

#### setCode

    public void setCode(Code code)

Sets the "code" element

Specified by:
  `setCode` in interface `FileDesc`

#### addNewCode

    public Code addNewCode()

Appends and returns a new empty "code" element

Specified by:
  `addNewCode` in interface `FileDesc`

#### unsetCode

    public void unsetCode()

Unsets the "code" element

Specified by:
  `unsetCode` in interface `FileDesc`

#### getTsDir

    public String getTsDir()

Gets the "tsDir" attribute

Specified by:
  `getTsDir` in interface `FileDesc`

#### xgetTsDir

    public XmlToken xgetTsDir()

Gets (as xml) the "tsDir" attribute

Specified by:
  `xgetTsDir` in interface `FileDesc`

#### isSetTsDir

    public boolean isSetTsDir()

True if has "tsDir" attribute

Specified by:
  `isSetTsDir` in interface `FileDesc`

#### setTsDir

    public void setTsDir(String tsDir)

Sets the "tsDir" attribute

Specified by:
  `setTsDir` in interface `FileDesc`

#### xsetTsDir

    public void xsetTsDir(XmlToken tsDir)

Sets (as xml) the "tsDir" attribute

Specified by:
  `xsetTsDir` in interface `FileDesc`

#### unsetTsDir

    public void unsetTsDir()

Unsets the "tsDir" attribute

Specified by:
  `unsetTsDir` in interface `FileDesc`

#### getFolder

    public String getFolder()

Gets the "folder" attribute

Specified by:
  `getFolder` in interface `FileDesc`

#### xgetFolder

    public XmlToken xgetFolder()

Gets (as xml) the "folder" attribute

Specified by:
  `xgetFolder` in interface `FileDesc`

#### isSetFolder

    public boolean isSetFolder()

True if has "folder" attribute

Specified by:
  `isSetFolder` in interface `FileDesc`

#### setFolder

    public void setFolder(String folder)

Sets the "folder" attribute

Specified by:
  `setFolder` in interface `FileDesc`

#### xsetFolder

    public void xsetFolder(XmlToken folder)

Sets (as xml) the "folder" attribute

Specified by:
  `xsetFolder` in interface `FileDesc`

#### unsetFolder

    public void unsetFolder()

Unsets the "folder" attribute

Specified by:
  `unsetFolder` in interface `FileDesc`

#### getFileName

    public String getFileName()

Gets the "fileName" attribute

Specified by:
  `getFileName` in interface `FileDesc`

#### xgetFileName

    public XmlToken xgetFileName()

Gets (as xml) the "fileName" attribute

Specified by:
  `xgetFileName` in interface `FileDesc`

#### isSetFileName

    public boolean isSetFileName()

True if has "fileName" attribute

Specified by:
  `isSetFileName` in interface `FileDesc`

#### setFileName

    public void setFileName(String fileName)

Sets the "fileName" attribute

Specified by:
  `setFileName` in interface `FileDesc`

#### xsetFileName

    public void xsetFileName(XmlToken fileName)

Sets (as xml) the "fileName" attribute

Specified by:
  `xsetFileName` in interface `FileDesc`

#### unsetFileName

    public void unsetFileName()

Unsets the "fileName" attribute

Specified by:
  `unsetFileName` in interface `FileDesc`

#### getRole

    public FileDesc.Role.Enum getRole()

Gets the "role" attribute

Specified by:
  `getRole` in interface `FileDesc`

#### xgetRole

    public FileDesc.Role xgetRole()

Gets (as xml) the "role" attribute

Specified by:
  `xgetRole` in interface `FileDesc`

#### isSetRole

    public boolean isSetRole()

True if has "role" attribute

Specified by:
  `isSetRole` in interface `FileDesc`

#### setRole

    public void setRole(FileDesc.Role.Enum role)

Sets the "role" attribute

Specified by:
  `setRole` in interface `FileDesc`

#### xsetRole

    public void xsetRole(FileDesc.Role role)

Sets (as xml) the "role" attribute

Specified by:
  `xsetRole` in interface `FileDesc`

#### unsetRole

    public void unsetRole()

Unsets the "role" attribute

Specified by:
  `unsetRole` in interface `FileDesc`

#### getValidity

    public boolean getValidity()

Gets the "validity" attribute

Specified by:
  `getValidity` in interface `FileDesc`

#### xgetValidity

    public XmlBoolean xgetValidity()

Gets (as xml) the "validity" attribute

Specified by:
  `xgetValidity` in interface `FileDesc`

#### isSetValidity

    public boolean isSetValidity()

True if has "validity" attribute

Specified by:
  `isSetValidity` in interface `FileDesc`

#### setValidity

    public void setValidity(boolean validity)

Sets the "validity" attribute

Specified by:
  `setValidity` in interface `FileDesc`

#### xsetValidity

    public void xsetValidity(XmlBoolean validity)

Sets (as xml) the "validity" attribute

Specified by:
  `xsetValidity` in interface `FileDesc`

#### unsetValidity

    public void unsetValidity()

Unsets the "validity" attribute

Specified by:
  `unsetValidity` in interface `FileDesc`